#!/bin/sh

REENCODE=/usr/bin/reencode
OUTDIR=/var/media/gp2xvid
FILE=$2
FILEOUT=`echo $FILE |sed 's/\//\-/g'`

if [ -f /tmp/gp2xreencode.lock ]
then
	svdrpsend.pl mesg Process already running! Try again later.
	svdrpsend.pl mesg If not, delete /tmp/gp2xreencode.lock
else

touch /tmp/gp2xreencode.lock
case $1 in
	16x9)
	  echo "Reencoding $2..."
	  touch $OUTDIR/$FILEOUT-temp.avi
	  for n in `find $2 -name ???.vdr |sort -n`
	  do
	    svdrpsend.pl mesg GP2X- Reencoding next file
	    reencode -i $n -o $n.gp2x.avi -c xvid -s 320:180 -r 300 >>/tmp/gp2xreencode.lock 2>&1
	    cat $n.gp2x.avi >>$OUTDIR/$FILEOUT-temp.avi
	    rm $n.gp2x.avi
	  done
	  svdrpsend.pl GP2X- Processing output file
	  mencoder -o $OUTDIR/$FILEOUT.avi -ovc copy -oac copy $OUTDIR/$FILEOUT-temp.avi >>/tmp/gp2xreencode.lock 2>&1
	  rm $OUTDIR/$FILEOUT-temp.avi
	  svdrpsend.pl GP2X- Encoding done
	;;
	4x3)
          echo "Reencoding $2..."
          touch $OUTDIR/$FILEOUT-temp.avi
          for n in `find $2 -name ???.vdr |sort -n`
          do
            svdrpsend.pl mesg GP2X- Reencoding next file
            reencode -i $n -o $n.gp2x.avi -c xvid -s 320:240 -r 300 >>/tmp/gp2xreencode.lock 2>&1
            cat $n.gp2x.avi >>$OUTDIR/$FILEOUT-temp.avi
	    rm $n.gp2x.avi
          done
          svdrpsend.pl GP2X- Processing output file
          mencoder -o $OUTDIR/$FILEOUT.avi -ovc copy -oac copy $OUTDIR/$FILEOUT-temp.avi >>/tmp/gp2xreencode.lock 2>&1
          rm $OUTDIR/$FILEOUT-temp.avi
          svdrpsend.pl GP2X- Encoding done
	;;
	auto)
          echo "Reencoding $2..."
          touch $OUTDIR/$FILEOUT-temp.avi
          for n in `find $2 -name ???.vdr |sort -n`
          do
            svdrpsend.pl mesg GP2X- Reencoding next file
            reencode -i $n -o $n.gp2x.avi -c xvid -r 300 >>/tmp/gp2x$            cat $n.gp2x.avi >>$OUTDIR/$FILEOUT-temp.avi
            rm $n.gp2x.avi
          done
          svdrpsend.pl GP2X- Processing output file
          mencoder -o $OUTDIR/$FILEOUT.avi -ovc copy -oac copy $OUTDIR/$FILEOUT$          rm $OUTDIR/$FILEOUT-temp.avi
          svdrpsend.pl GP2X- Encoding done
	;;
	*)
	  echo "Usage: gp2xencode.sh (4x3|16x9) path"
	;;
esac
rm /tmp/gp2xreencode.lock
fi
